> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-questions/list-the-documentation-sources-used-to-answer-a-question.md).

# List the documentation sources used to answer a question

Returns the documentation pages the Ask AI assistant used to answer a given question. Use it to see which content grounded the AI's responses to that question.

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"site-questions","description":"Inspect the canonical questions asked on your site, the generated answers linked to each question, and the sources used for each answer.\n\n{% openapi-schemas spec=\"gitbook\" schemas=\"SiteQuestion,SiteQuestionAnswer,SiteQuestionAnswerWithResponse,SiteQuestionAnswerSource\" grouped=\"false\" %}\n    The Site Questions objects\n{% endopenapi-schemas %}\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user":[]},{"oauth":["site:insights:read"]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer"},"oauth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://oauth.gitbook.com/authorize","tokenUrl":"https://oauth.gitbook.com/token","scopes":{"user:read":"Read your GitBook user profile.","organization:read":"Read organization settings and metadata.","organization:write":"Create and update organization settings.","organization:members:read":"Read organization members, invites and link invites.","organization:members:write":"Manage organization members, invites and link invites.","organization:ask":"Ask AI questions across an organization's content.","organization:search":"Search across an organization's content.","space:read":"Read spaces and their content.","space:write":"Create, update and delete spaces and their content, including imports.","space:permissions:read":"Read space permissions.","space:permissions:write":"Manage space permissions.","change-request:merge":"Merge change requests, publishing their changes to the space.","site:read":"Read sites and their settings.","site:write":"Create, update and delete sites, sections and their settings.","site:publish":"Publish and unpublish sites, controlling their public exposure.","site:permissions:read":"Read site permissions.","site:permissions:write":"Manage site permissions.","site:auth:read":"Read site authentication and security configuration.","site:auth:write":"Manage site authentication and security configuration.","site:insights:read":"Read site analytics and insights.","site:ask":"Ask AI questions across a site's content.","site:search":"Search across a site's content.","openapi:read":"Read OpenAPI specifications.","openapi:write":"Create, update and delete OpenAPI specifications."}}}}},"parameters":{"organizationId":{"name":"organizationId","in":"path","required":true,"description":"The unique id of the organization","schema":{"$ref":"#/components/schemas/EntityId"}},"siteId":{"name":"siteId","in":"path","required":true,"description":"The unique id of the site","schema":{"type":"string"}},"siteQuestionId":{"name":"siteQuestionId","in":"path","required":true,"description":"The unique id of the site question","schema":{"type":"string"}},"listPage":{"name":"page","in":"query","description":"Identifier of the page results to fetch.","schema":{"type":"string"}},"listLimit":{"name":"limit","in":"query","description":"The number of results per page","schema":{"type":"number","minimum":0,"maximum":1000}}},"schemas":{"EntityId":{"type":"string","pattern":"^[a-zA-Z0-9_-]+$","description":"A unique entity identifier"},"Timestamp":{"type":"string","format":"date-time"},"SiteQuestionAnswerRelevance":{"type":"string","description":"Relevance classification of the user question.","enum":["relevant","spam","off-topic","unclear"]},"SiteChannelType":{"oneOf":[{"$ref":"#/components/schemas/SiteCoreChannelType"},{"$ref":"#/components/schemas/SiteConfigurableChannelType"}]},"SiteCoreChannelType":{"type":"string","enum":["site","embed","api"]},"SiteConfigurableChannelType":{"type":"string","enum":["builtin:slack","builtin:discord","builtin:github","builtin:linear"]},"SiteQuestionAnswerResolution":{"type":"string","description":"Whether the response answered the question.","enum":["no","partially","yes"]},"List":{"type":"object","properties":{"next":{"type":"object","properties":{"page":{"type":"string","description":"Unique identifier to query the next results page"}},"required":["page"]},"count":{"type":"number","description":"Total count of objects in the list"}}},"SiteQuestionAnswerSource":{"oneOf":[{"$ref":"#/components/schemas/SiteQuestionAnswerSourcePage"},{"$ref":"#/components/schemas/SiteQuestionAnswerSourceRecord"}],"discriminator":{"propertyName":"type"}},"SiteQuestionAnswerSourcePage":{"allOf":[{"$ref":"#/components/schemas/SiteQuestionAnswerSourceBase"},{"type":"object","title":"Page source","description":"Source data pointing to a page used for a site question answer.","properties":{"type":{"type":"string","enum":["page"]},"space":{"type":"string","description":"The space ID of the source page."},"revision":{"type":"string","description":"The revision ID used for this source page."},"page":{"type":"string","description":"The page ID of the source page."}},"required":["type","space","revision","page"]}]},"SiteQuestionAnswerSourceBase":{"type":"object","properties":{"object":{"type":"string","enum":["site-question-answer-source"]},"id":{"type":"string","description":"The ID of the source."},"weight":{"type":"number","description":"Relative weight of this source in the generated answer."},"title":{"type":"string","description":"The title of the source."},"urls":{"type":"object","description":"URLs associated with the site question answer.","properties":{"location":{"type":"string","format":"uri","description":"URL of the site question answer in the API."}},"required":["location"]}},"required":["object","id","title","weight","urls"]},"SiteQuestionAnswerSourceRecord":{"allOf":[{"$ref":"#/components/schemas/SiteQuestionAnswerSourceBase"},{"type":"object","properties":{"type":{"type":"string","enum":["record"]},"record":{"type":"string","description":"The site context record ID."},"connector":{"$ref":"#/components/schemas/ContextConnector"}},"required":["type","record"]}]},"ContextConnector":{"oneOf":[{"type":"string","description":"Integration source","pattern":"^integration:[^:]+$"},{"type":"string","description":"Builtin sources","enum":["builtin:email","builtin:api","builtin:website","builtin:youtube","builtin:github-discussions","builtin:github-issues","builtin:intercom","builtin:front","builtin:zendesk","builtin:zoho-desk","builtin:freshdesk","builtin:pylon","builtin:hubspot","builtin:linear","builtin:jira"]}]}}},"paths":{"/orgs/{organizationId}/sites/{siteId}/questions/{siteQuestionId}/sources":{"get":{"operationId":"listSiteQuestionSources","summary":"List the documentation sources used to answer a question","description":"Returns the documentation pages the Ask AI assistant used to answer a given question. Use it to see which content grounded the AI's responses to that question.","tags":["site-questions"],"parameters":[{"$ref":"#/components/parameters/organizationId"},{"$ref":"#/components/parameters/siteId"},{"$ref":"#/components/parameters/siteQuestionId"},{"$ref":"#/components/parameters/listPage"},{"$ref":"#/components/parameters/listLimit"},{"name":"from","in":"query","description":"Filter sources to answers created at or after this timestamp.","schema":{"$ref":"#/components/schemas/Timestamp"}},{"name":"to","in":"query","description":"Filter sources to answers created at or before this timestamp.","schema":{"$ref":"#/components/schemas/Timestamp"}},{"name":"relevance","in":"query","description":"Filter answer sources by question relevance.","schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteQuestionAnswerRelevance"}}},{"name":"channelType","in":"query","description":"Filter answer sources by answer channel type.","schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteChannelType"}}},{"name":"answered","in":"query","description":"Filter answer sources by answer resolution.","schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteQuestionAnswerResolution"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/List"},{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SiteQuestionAnswerSource"}}}}]}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-questions/list-the-documentation-sources-used-to-answer-a-question.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
